SimpleBooleanProperty (JavaFX 13)

Module javafx.base
Package javafx.beans.property

## Class SimpleBooleanProperty

- java.lang.Object
- - javafx.beans.binding.BooleanExpression
  - - javafx.beans.property.ReadOnlyBooleanProperty
    - - javafx.beans.property.BooleanProperty
      - - javafx.beans.property.BooleanPropertyBase
        - - javafx.beans.property.SimpleBooleanProperty

- All Implemented Interfaces:
    `Observable`, `Property<Boolean>`, `ReadOnlyProperty<Boolean>`, `ObservableBooleanValue`, `ObservableValue<Boolean>`, `WritableBooleanValue`, `WritableValue<Boolean>`
  Direct Known Subclasses:
    `ReadOnlyBooleanWrapper`

      public class SimpleBooleanProperty
      extends BooleanPropertyBase

  This class provides a full implementation of a `Property` wrapping a `boolean` value.
  Since:
    JavaFX 2.0
  See Also:
    `BooleanPropertyBase`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleBooleanProperty()` | The constructor of `BooleanProperty`
    `SimpleBooleanProperty​(boolean initialValue)` | The constructor of `BooleanProperty`
    `SimpleBooleanProperty​(Object bean, String name)` | The constructor of `BooleanProperty`
    `SimpleBooleanProperty​(Object bean, String name, boolean initialValue)` | The constructor of `BooleanProperty`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getBean()` | Returns the `Object` that contains this property.
    `String` | `getName()` | Returns the name of this property.

    - ### Methods inherited from class javafx.beans.property.BooleanPropertyBase

      `addListener, addListener, bind, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, set, toString, unbind`

    - ### Methods inherited from class javafx.beans.property.BooleanProperty

      `asObject, bindBidirectional, booleanProperty, setValue, unbindBidirectional`

    - ### Methods inherited from class javafx.beans.property.ReadOnlyBooleanProperty

      `readOnlyBooleanProperty`

    - ### Methods inherited from class javafx.beans.binding.BooleanExpression

      `and, asString, booleanExpression, booleanExpression, getValue, isEqualTo, isNotEqualTo, not, or`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javafx.beans.value.ObservableValue

      `getValue`

    - ### Methods inherited from interface javafx.beans.value.WritableValue

      `getValue`

- - ### Constructor Detail

    - #### SimpleBooleanProperty

          public SimpleBooleanProperty()

      The constructor of `BooleanProperty`

    - #### SimpleBooleanProperty

          public SimpleBooleanProperty​(boolean initialValue)

      The constructor of `BooleanProperty`
      Parameters:
        `initialValue` - the initial value of the wrapped value

    - #### SimpleBooleanProperty

          public SimpleBooleanProperty​(Object bean,
                                       String name)

      The constructor of `BooleanProperty`
      Parameters:
        `bean` - the bean of this `BooleanProperty`
        `name` - the name of this `BooleanProperty`

    - #### SimpleBooleanProperty

          public SimpleBooleanProperty​(Object bean,
                                       String name,
                                       boolean initialValue)

      The constructor of `BooleanProperty`
      Parameters:
        `bean` - the bean of this `BooleanProperty`
        `name` - the name of this `BooleanProperty`
        `initialValue` - the initial value of the wrapped value

  - ### Method Detail

    - #### getBean

          public Object getBean()

      Returns the `Object` that contains this property. If this property is not contained in an `Object`, `null` is returned.
      Returns:
        the containing `Object` or `null`

    - #### getName

          public String getName()

      Returns the name of this property. If the property does not have a name, this method returns an empty `String`.
      Returns:
        the name or an empty `String`